from typing import Optional
from pydantic import BaseModel, Field
from ..libvirt.dom.stats import Stats

class MemorySwap(BaseModel):
    swp_in:Optional[int] = Field(default=None)
    swp_out:Optional[int] = Field(default=None)

class Memory(BaseModel):
    swap:MemorySwap = Field()

class Stats(Stats):
    memory:Memory = Field()